*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:  'Montserrat', sans-serif;
}

  
body {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--black);
    
}
.box{
    position: relative;
    width: 380px;
    height: 510px;
    background: var(--black);
    border-radius: 9px;
    overflow: hidden;
    
    

}
.box::before{
    content: "";
    position: absolute;
    top:-50%;
    left:-50%;
    width:380px;
    height: 420px;
    background: linear-gradient(0deg, transparent,var(--white),
    var(--white));
    transform-origin: bottom right;
    animation: animate 6s linear infinite;
 
}
.box::after{
    content: "";
    position: absolute;
    top:-50%;
    left:-50%;
    width:380px;
    height: 420px;
    background: linear-gradient(0deg, transparent transparent,var(--white));
    transform-origin: bottom right;
    animation: animate 6s linear infinite;
    animation-delay: -3s;
   

}
@keyframes animate{
  0%
  {
    transform:rotate(0deg);
    
  }
  100%
  {
    transform:rotate(360deg);
  }
}
.form
{
    
    position: absolute;
    inset:2px;
    border-radius: 8px;
    background-color: var(--black);
    z-index: 10;
    padding: 50px 40px;
    display: flex;
    flex-direction: column;
}
.form h2{
   
    color:var(--white);
    font-weight: 500;
    text-align: center;
    letter-spacing: 0.1em;
}
.inputBox{
    position: relative;
    width: 300px;
    margin-top: 35px;
}

.inputBox input[type="text"],
.inputBox input[type="tel"]{
    border-bottom: 2px solid gray; 
}
.inputBox input[type="text"]:focus,
.inputBox input[type="tel"]:focus{
    border-bottom: 2px solid var(--white); 
}


.inputBox input{
    position: relative;
    width: 100%;
    padding: 20px 10px 10px;
    background: transparent;
    border:none;
    outline:none;
    color: var(--white);
    font-size: 1em;
    letter-spacing:0.05em;
    z-index: 10;
    
}

.inputBox span{

    position: absolute;
    left:0;
    padding:15px 10px 10px;
    font-size:1em ;
    color: grey;
    pointer-events: none;
    letter-spacing:0.05em;
    transition: 0.5s;
    
}


.inputBox input:valid ~ span,
.inputBox input:focus ~ span{
    display: none;
}
.inputBox i{
    
    position: absolute;
    left:0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background: var(--white);
    border-radius: 4px;
    transition: 0.5s;
    pointer-events: none;
}




.ent{
    border:none;
    outline: none;
    background: var(--white);
    padding: 11px 0px;
    width: 100px;
    margin-top: 45px;
    border-radius:4px;
    font-weight: 600;
    cursor: pointer;
    font-size: 1em;
}
 


.example-1 .btn-tertiary{ font-size: 12px;text-transform: uppercase; color:gray;padding:0;line-height:30px;width:300px;margin: 30px 0px 0px 0px;;display:block;border:2px solid #555;  border: 1px solid gray; border-radius: 25px}
.example-1 .btn-tertiary:hover,.example-1 .btn-tertiary:focus{color:var(--white);border-color: var(--white)}
.example-1 .input-file{width:.1px;height:.1px;opacity:0;overflow:hidden;position:absolute;z-index:-1}
.example-1 .input-file + .js-labelFile{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;padding:0 10px;cursor:pointer}
.example-1 .input-file + .js-labelFile .icon:before{content:"\f093"}
.example-1 .input-file + .js-labelFile.has-file .icon:before{content:"\f00c";color:var(--white)}

.example-2 .btn-tertiary2{ font-size: 12px; text-transform: uppercase; color:gray;padding:0;line-height:30px;width:300px;margin: 10px 0px 0px 0px;;display:block;border:2px solid #555;  border: 1px solid gray; border-radius: 25px}
.example-2 .btn-tertiary2:hover,.example-2 .btn-tertiary2:focus{color:var(--white);border-color: var(--white)}
.example-2 .input-file2{width:.1px;height:.1px;opacity:0;overflow:hidden;position:absolute;z-index:-1}
.example-2 .input-file2 + .js-labelFile2{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;padding:0 10px;cursor:pointer}
.example-2 .input-file2 + .js-labelFile2 .icon:before{content:"\f093"}
.example-2 .input-file2 + .js-labelFile2.has-file .icon:before{content:"\f00c";color:var(--white)}

.example-3 .btn-tertiary3{font-size: 12px;text-transform: uppercase;color:gray;padding:0;line-height:30px;width:300px;margin: 10px 0px 0px 0px;display:block;border:2px solid #555; border: 1px solid gray; border-radius: 25px}
.example-3 .btn-tertiary3:hover,.example-3 .btn-tertiary3:focus{color:var(--white);  border-color: var(--white)}
.example-3 .input-file3{width:.1px;height:.1px;opacity:0;overflow:hidden;position:absolute;z-index:-1}
.example-3 .input-file3 + .js-labelFile3{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;padding:0 10px;cursor:pointer}
.example-3 .input-file3 + .js-labelFile3 .icon:before{content:"\f093"}
.example-3 .input-file3 + .js-labelFile3.has-file .icon:before{content:"\f00c";color:var(--white)}
